Package org.pentaho.reporting.libraries.resourceloader.factory.image

# Class ImageResourceFactory

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.factory.AbstractResourceFactory
org.pentaho.reporting.libraries.resourceloader.factory.image.ImageResourceFactory

All Implemented Interfaces:
  `ResourceFactory`

public class ImageResourceFactory extends AbstractResourceFactory
Creation-Date: 05.04.2006, 17:59:50

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceFactory

`CONFIG_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`ImageResourceFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ImageResourceFactory`
`getInstance()`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractResourceFactory

`create, getFactoryType, initializeDefaults, registerModule, registerModule`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageResourceFactory

public ImageResourceFactory()

## Method Details

### getInstance

public static ImageResourceFactory getInstance()